Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150831 - Renaming class fails to rename its private constructor
Renaming class fails to rename its private constructor
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Jan Pokorsky
issues@java
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 10:18 UTC by J Bachorik
Modified: 2009-02-19 21:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Sample application (11.83 KB, application/octet-stream)
2008-10-21 10:20 UTC, J Bachorik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J Bachorik 2008-10-21 10:18:22 UTC
Sample project attached. Try to rename "AClass" to "BClass" - the constructor will remain named "AClass()".
Comment 1 J Bachorik 2008-10-21 10:19:01 UTC
This is regression against 6.1
Comment 2 J Bachorik 2008-10-21 10:20:57 UTC
Created attachment 72365 [details]
Sample application
Comment 3 Marian Mirilovic 2008-10-21 13:34:15 UTC
Hmm, I tried NB 6.1 and it doesn't work there either.
Comment 4 J Bachorik 2008-10-21 13:49:42 UTC
It seems so
However, in 5.5 it works correctly and it's a kind of regression, indeed :(
Comment 5 Jan Pokorsky 2008-10-21 15:31:57 UTC
Lowering priority. It is not a new regression. It works the same way at least from 6.0. It can be reproduced in case
some nested class is in front of the constructor otherwise the refactoring works as expected. It is a bug of the java
source generator (CasualDiff). Reassigning.

I have a fix but I would suggest to postpone it to 6.5-patch1.

Comment 6 Jan Pokorsky 2008-10-21 18:21:41 UTC
fixed http://hg.netbeans.org/main/rev/47d4f229d2f5
Comment 7 Quality Engineering 2008-10-22 05:03:26 UTC
Integrated into 'main-golden', will be available in build *200810220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/47d4f229d2f5
User: Jan Pokorsky <jpokorsky@netbeans.org>
Log: #150831: remeber class name in context of nested classes
Comment 8 Jiri Prox 2008-11-20 10:48:46 UTC
v.
Comment 9 pslechta 2008-11-20 12:55:39 UTC
The fix has been backported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/0325b6f2f2a4
Comment 10 Jiri Prox 2008-12-02 16:23:40 UTC
verified in patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo